> ## Documentation Index
> Fetch the complete documentation index at: https://integrate.essentry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current and Past Check-Ins



## OpenAPI

````yaml api-reference/openapi.yaml get /locations/{locationId}/check-ins
openapi: 3.0.0
info:
  title: essentry API
  version: 0.0.0
servers:
  - url: https://app.essentry.com/api/v2
    description: essentry Cloud
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Pre-Processor
  - name: User Provisioning
  - name: Permanent Identities
  - name: Access Control
  - name: Post-Processor
paths:
  /locations/{locationId}/check-ins:
    get:
      tags:
        - Post-Processor
      summary: Get Current and Past Check-Ins
      operationId: PostProcessor_locationCheckIns
      parameters:
        - name: locationId
          in: path
          required: true
          schema:
            type: integer
        - name: leftAfter
          in: query
          required: true
          schema:
            type: string
            format: date-time
          explode: false
        - name: leftBefore
          in: query
          required: false
          schema:
            type: string
            format: date-time
          explode: false
        - name: updatedSince
          in: query
          required: false
          schema:
            type: string
            format: date-time
          explode: false
        - $ref: '#/components/parameters/Pagination.limit'
        - $ref: '#/components/parameters/Pagination.offset'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  checkIns:
                    type: array
                    items:
                      $ref: '#/components/schemas/ReceptionCheckIns'
                  pageInfo:
                    type: object
                    properties:
                      totalCount:
                        type: integer
                    required:
                      - totalCount
                required:
                  - checkIns
                  - pageInfo
components:
  parameters:
    Pagination.limit:
      name: limit
      in: query
      required: false
      description: Pagination - How many results to return
      schema:
        type: integer
        maximum: 50
        default: 20
      explode: false
    Pagination.offset:
      name: offset
      in: query
      required: false
      description: Pagination - How many results to skip
      schema:
        type: integer
        default: 0
      explode: false
  schemas:
    ReceptionCheckIns:
      type: object
      allOf:
        - $ref: '#/components/schemas/PostProcessorCheckIn'
    PostProcessorCheckIn:
      type: object
      required:
        - id
        - state
        - email
        - firstName
        - lastName
        - birthdate
        - companyName
        - language
        - arrivedAt
        - leftAt
        - legitimation
        - trustedId
        - accessControl
        - customFields
      properties:
        id:
          type: integer
        state:
          type: string
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        birthdate:
          type: string
        companyName:
          type: string
        language:
          $ref: '#/components/schemas/GuestLanguage'
        arrivedAt:
          type: string
          format: date-time
        leftAt:
          type: string
          format: date-time
          nullable: true
        legitimation:
          anyOf:
            - type: object
              allOf:
                - $ref: >-
                    #/components/schemas/PostProcessorCheckInExternalLegitimation
              nullable: true
            - type: object
              allOf:
                - $ref: '#/components/schemas/PostProcessorCheckInInvitation'
              nullable: true
        trustedId:
          type: object
          properties:
            documentNumber:
              type: string
              nullable: true
            document:
              allOf:
                - $ref: '#/components/schemas/CheckInTrustedIdDocument'
              description: 'Check 1: Is the identity document valid?'
            selfie:
              allOf:
                - $ref: '#/components/schemas/CheckInTrustedIdInvitationMatch'
              nullable: true
              description: >-
                Check 2: Is the person in front of the kiosk the one on the
                document?
            liveness:
              type: string
              enum:
                - PASSED
                - FAILED
              nullable: true
              description: 'Check 3: Is the person real and not a photo or mask?'
            invitationMatch:
              type: object
              properties:
                wasManuallyReviewed:
                  type: boolean
                firstName:
                  $ref: '#/components/schemas/CheckInInvitationMatch'
                lastName:
                  $ref: '#/components/schemas/CheckInInvitationMatch'
                birthdate:
                  $ref: '#/components/schemas/CheckInInvitationMatch'
              required:
                - wasManuallyReviewed
                - firstName
                - lastName
                - birthdate
              description: >-
                Check 4: Does the data on the invitation match the data on the
                document?
            images:
              type: object
              properties:
                faceImageUrl:
                  type: string
                  nullable: true
                identityDocumentImageUrl:
                  type: string
                  nullable: true
              required:
                - faceImageUrl
                - identityDocumentImageUrl
          required:
            - documentNumber
            - document
            - selfie
            - liveness
            - invitationMatch
            - images
          nullable: true
        accessControl:
          type: object
          properties:
            credential:
              type: object
              properties:
                cardNumberKiosk:
                  type: string
                cardNumberReception:
                  type: string
                cardNumberAccessControlSystem:
                  type: string
              required:
                - cardNumberKiosk
                - cardNumberReception
                - cardNumberAccessControlSystem
              nullable: true
            access:
              type: object
              properties:
                startsAt:
                  type: string
                  format: date-time
                endsAt:
                  type: string
                  format: date-time
              required:
                - startsAt
                - endsAt
              nullable: true
            pin:
              type: string
              nullable: true
          required:
            - credential
            - access
        customFields:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
              - type: array
                items:
                  type: integer
    GuestLanguage:
      type: string
      enum:
        - CS
        - DE
        - EN
        - ES
        - FR
        - HR
        - HU
        - IT
        - NL
        - PL
        - PT
        - RO
        - RU
        - TR
        - ZH_CN
    PostProcessorCheckInExternalLegitimation:
      type: object
      required:
        - sourceId
        - startsAt
        - endsAt
        - guest
      properties:
        sourceId:
          type: string
        startsAt:
          type: string
          format: date-time
        endsAt:
          type: string
          format: date-time
        guest:
          type: object
          properties:
            firstName:
              type: string
            lastName:
              type: string
            birthdate:
              type: string
          required:
            - firstName
            - lastName
            - birthdate
    PostProcessorCheckInInvitation:
      type: object
      required:
        - id
        - qrCodeContent
        - event
        - contact
        - startsAt
        - endsAt
        - guest
      properties:
        id:
          type: integer
        qrCodeContent:
          type: string
        event:
          type: object
          properties:
            startsAt:
              type: string
              format: date-time
            endsAt:
              type: string
              format: date-time
          required:
            - startsAt
            - endsAt
        contact:
          type: object
          properties:
            email:
              type: string
            firstName:
              type: string
            lastName:
              type: string
            birthdate:
              type: string
          required:
            - email
            - firstName
            - lastName
            - birthdate
        startsAt:
          type: string
          format: date-time
        endsAt:
          type: string
          format: date-time
        source:
          type: object
          properties:
            sourceId:
              type: string
          required:
            - sourceId
        guest:
          type: object
          properties:
            firstName:
              type: string
            lastName:
              type: string
            birthdate:
              type: string
          required:
            - firstName
            - lastName
            - birthdate
    CheckInTrustedIdDocument:
      type: string
      enum:
        - EXISTED
        - PASSED
        - PASSED_WITH_WARNINGS
        - FAILED
        - MANUALLY_REVIEWED
    CheckInTrustedIdInvitationMatch:
      type: string
      enum:
        - MATCHED
        - REJECTED
        - MANUALLY_REVIEWED
    CheckInInvitationMatch:
      type: string
      enum:
        - EXACT
        - PARTIALLY_EXACT
        - LOOSE
        - PARTIALLY_LOOSE
        - NO_MATCH
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````